Name:           gnome-applet-sensors
Version:        1.7.8
Release:        3%{?dist}
Summary:        Gnome panel applet for hardware sensors

Group:          User Interface/Desktops
License:        GPL
URL:            http://sensors-applet.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/sensors-applet/sensors-applet-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext, gnome-doc-utils
BuildRequires: gnome-panel-devel >= 2.8
BuildRequires: lm_sensors-devel, libnotify-devel
BuildRequires: intltool, perl-XML-Parser
BuildRequires:  scrollkeeper
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

ExcludeArch: ppc
# No lm_sensors for ppc, BZ is #181037 

%description
GNOME Sensors Applet is an applet for the GNOME Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds
and voltage readings under Linux.
Can interface via the Linux kernel i2c modules, or the i8k kernel module (for
Dell Inspirion 8000 Laptops).
Includes a simple, yet highly customizable display and intuitive 
user-interface.
Alarms can be set for each sensor to notify the user once a certain value
has been reached, and can be configured to execute a given command at given
repeated intervals.
GNOME HIG v2.0 compliant.


%prep
%setup -q -n sensors-applet-%{version}
chmod -x %{_builddir}/sensors-applet-%{version}/AUTHORS
chmod -x %{_builddir}/sensors-applet-%{version}/NEWS
chmod -x %{_builddir}/sensors-applet-%{version}/TODO
chmod -x %{_builddir}/sensors-applet-%{version}/ChangeLog

%build

%configure --disable-scrollkeeper --enable-libnotify
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/icon-theme.cache

# Note: the find_lang macro requires gettext
%find_lang sensors-applet

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f sensors-applet.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*
%{_datadir}/omf/sensors-applet/
%{_datadir}/gnome/help/sensors-applet/
%{_datadir}/pixmaps/sensors-applet/
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Fri Sep 01 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.7.8-3
- Fix broken upgrade path

* Thu Aug 31 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.7.8-2
- Proper BuildRequires

* Thu Aug 31 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.7.8-1
- Rebuild for Fedora Core 6, bump version

* Mon Feb 13 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.6-3
- Rebuild for Fedora Extras 5

* Sat Feb 11 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.6-2
- fix gnome-doc-utils requirement

* Sat Feb 11 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.6-1
- bump to release 1.6

* Sat Feb 11 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-4
- add ExcludeArch due to lack of ppc lm_sensors

* Tue Feb 06 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-3
- make that lm_sensors

* Mon Feb 06 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-2
- add lm-sensors requires

* Tue Sep 20 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 1.4-1
- bump to stable release 1.4

* Sat Jul 02 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 1.0-1
- bump to stable release 1.0

* Wed May 18 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.7.3-1
- Minor specfile cleanup

* Fri May 13 2005 Gianluca Sforna <giallu[AT]gmail.com> - 0.7.3-0.1
- Version update

* Sat Feb 26 2005 Gianluca Sforna <giallu[AT]gmail.com> - 0.6.2-0.1
- Initial RPM release.

